## Modulemd.Translation (Private) Modulemd.Translation (Private) — ModulemdTranslation methods that should be used only by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

guint64 | modulemd_translation_get_version ()
const gchar * | modulemd_translation_get_module_name ()
const gchar * | modulemd_translation_get_module_stream ()
guint64 | modulemd_translation_get_modified ()
ModulemdTranslation * | modulemd_translation_parse_yaml ()
gboolean | modulemd_translation_emit_yaml ()

## Description

## Functions

### modulemd_translation_get_version ()

    guint64
    modulemd_translation_get_version (ModulemdTranslation *self);

#### Parameters

self | This ModulemdTranslation object. | [in]

#### Returns

The metadata version of this ModulemdTranslation object.

Since: 2.0

### modulemd_translation_get_module_name ()

    const gchar *
    modulemd_translation_get_module_name (ModulemdTranslation *self);

#### Parameters

self | This ModulemdTranslation object. | [in]

#### Returns

The module name to which this ModulemdTranslation object applies.

Since: 2.0

### modulemd_translation_get_module_stream ()

    const gchar *
    modulemd_translation_get_module_stream
                                   (ModulemdTranslation *self);

#### Parameters

self | This ModulemdTranslation object. | [in]

#### Returns

The stream name to which this ModulemdTranslation object applies.

Since: 2.0

### modulemd_translation_get_modified ()

    guint64
    modulemd_translation_get_modified (ModulemdTranslation *self);

#### Parameters

self | This ModulemdTranslation object. | [in]

#### Returns

The last modified time of this ModulemdTranslation object represented as a 64-bit integer (such as 201807011200).

Since: 2.0

### modulemd_translation_parse_yaml ()

    ModulemdTranslation *
    modulemd_translation_parse_yaml (ModulemdSubdocumentInfo *subdoc,
                                     gboolean strict,
                                     GError **error);

#### Parameters

subdoc | A ModulemdSubdocumentInfo representing a translation document. | [in]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError that will return the reason for a parsing or validation error. | [out]

#### Returns

A newly-allocated ModulemdTranslation object read from the YAML. NULL if a parse or validation error occurred and sets `error` appropriately.

[transfer full]

Since: 2.0

### modulemd_translation_emit_yaml ()

    gboolean
    modulemd_translation_emit_yaml (ModulemdTranslation *self,
                                    yaml_emitter_t *emitter,
                                    GError **error);

#### Parameters

self | This ModulemdTranslation object. |
emitter | A libyaml emitter object positioned where Translation data belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission or validation error. | [out]

#### Returns

TRUE if the translation data was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.0